summaryrefslogtreecommitdiff
path: root/scripts/test-morph
diff options
context:
space:
mode:
authorLars Wirzenius <lars.wirzenius@codethink.co.uk>2012-03-22 16:56:30 +0000
committerLars Wirzenius <lars.wirzenius@codethink.co.uk>2012-03-22 16:56:30 +0000
commit37fe1d880e41e23d34bb28858badaeab945e2c64 (patch)
tree97d44a4ef2de33f1631b110d64b6c8ad54a5f820 /scripts/test-morph
parentd8f46988f5373b8233c32631df863d186bd0f598 (diff)
downloadmorph-37fe1d880e41e23d34bb28858badaeab945e2c64.tar.gz
Add helper script for cmdtest scripts to run morph with
This is like tests/morph, but not in the tests directory, so that it's easier to use from multiple tests directories. We're about to get another one, at least temporarily.
Diffstat (limited to 'scripts/test-morph')
-rwxr-xr-xscripts/test-morph21
1 files changed, 21 insertions, 0 deletions
diff --git a/scripts/test-morph b/scripts/test-morph
new file mode 100755
index 00000000..f26d930e
--- /dev/null
+++ b/scripts/test-morph
@@ -0,0 +1,21 @@
+#!/bin/sh
+# Copyright (C) 2012 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+# Wrapper around morph for use by cmdtest tests.
+
+set -eu
+
+"$SRCDIR/morph" --no-default-config --config="$DATADIR/morph.conf" "$@"